'use strict';

const cac = require('cac');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e["default"] : e; }

const cac__default = /*#__PURE__*/_interopDefaultLegacy(cac);

const cli = cac__default("vite");
cli.command("[root]", "start dev server").alias("serve").alias("dev").option("--host [host]", "[string] specify hostname").option("--port <port>", "[number] specify port").option("--https", "[boolean] use TLS + HTTP/2").option("--open [path]", "[boolean | string] open browser on startup").option("--cors", "[boolean] enable CORS").option("--strictPort", "[boolean] exit if specified port is already in use").option("--force", "[boolean] force the optimizer to ignore the cache and re-bundle").action(async (root, options) => {
  console.log({ root, options });
});
console.log({ a: process.argv });
cli.parse();
